$spinner-size : 100px;

.spinner {
	display: block;
	position: relative;
	max-width: $spinner-size;
	height: $spinner-size;
	width: 100%;
	margin: 2rem auto;
	mask-image: url("../images/chevron_maschinendeck.svg");
	-webkit-mask-image: url("../images/chevron_maschinendeck.svg");
	background: color(light-grey);
	animation: spin 2.5s ease-in-out infinite;
}

@keyframes spin {
	0% {
		transform: rotate(0deg);
	}

	50% {
		transform: rotate(360deg);
	}

	100% {
		transform: rotate(0deg);
	}
}